%define upstream_name    Dist-Zilla-PluginBundle-BINGOS
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    BeLike::BINGOS when you build your dists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.200.6
BuildRequires: perl(Dist::Zilla::Plugin::ChangelogFromGit)
BuildRequires: perl(Dist::Zilla::Plugin::Clean) >= 0.20.0
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta) >= 0.100.0
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON) >= 4.200.6
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion) >= 4.200.6
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests) >= 4.200.6
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests) >= 4.200.6
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver) >= 3.101.641
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod) >= 0.140.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile) >= 1.112.400
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose) >= 1.80.0
BuildArch:  noarch

%description
This is a the Dist::Zilla manpage PluginBundle. It is roughly equivalent to
the following dist.ini:

  [@Basic]

  [MetaJSON]
  [PodSyntaxTests]
  [PodCoverageTests]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Mon Sep 26 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 148051
- update to 0.14

* Tue Aug 30 2011 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 136659
- update to 0.12

* Mon Feb 28 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 61710
- update to 0.06

* Mon Feb 28 2011 dmorgan <dmorgan> 0.40.0-1.mga1
+ Revision: 61691
- New version 0.04

* Wed Jan 26 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 41081
- mageia rebuild
- imported package perl-Dist-Zilla-PluginBundle-BINGOS

